//priority:999999

function require(/**@type {String}*/classpath) {
  let javaclass = classpath.split('/').slice(1)//将字符串切分成数组并去除packages
  let classname = javaclass.pop()//获取类名
  let newclasspath = javaclass.concat(classname.substring(1)).join('.')//将数组拼接回字符串
  let thisclass = {}
  thisclass[ classname ] = Java.loadClass( newclasspath )
  return thisclass
}
const { $ProjectileImpactEvent } = require("packages/net/minecraftforge/event/entity/$ProjectileImpactEvent");
const { $CompoundTag } = require("packages/net/minecraft/nbt/$CompoundTag");
const { $NbtUtils } = require("packages/net/minecraft/nbt/$NbtUtils");
const { $Projectile } = require("packages/net/minecraft/world/entity/projectile/$Projectile");
const { $LevelEvent$Load } = require("packages/net/minecraftforge/event/level/$LevelEvent$Load");

let { $Registries } = require("packages/net/minecraft/core/registries/$Registries")
let { $ResourceKey } = require("packages/net/minecraft/resources/$ResourceKey")
let { $ToolAction } = require("packages/net/minecraftforge/common/$ToolAction")
let { $ItemEffect } = require("packages/se/mickelus/tetra/effect/$ItemEffect")
let { $MobEffect } = require("packages/net/minecraft/world/effect/$MobEffect")